Bug 1418755 - control policy events aren't generated for azure instances
Summary: control policy events aren't generated for azure instances
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard: azure:event:control:policy
Depends On:
Blocks: 1421158 1421159
TreeView+ depends on / blocked
 
Reported: 2017-02-02 16:18 UTC by Ievgen Zapolskyi
Modified: 2017-06-12 16:37 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1421158 1421159 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:37:31 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Ievgen Zapolskyi 2017-02-02 16:18:33 UTC
Description of problem:
Control Policy events for Azure instances aren't generated. 
I suppose received instance's events don't match event definitions in Control->Explorer->Events

Version-Release number of selected component (if applicable):
5.6.4.0

How reproducible:
100%

Steps to Reproduce:
1. Open Control->Explorer
2. Add Control Policy with Condition: "VM and Instance : Power State IS NOT NULL"
and Events "VM Power On/VM Power Off"
3. Create Policy Profile and add created above policy to it
4. provision some instance in Azure or take already existing one
5. Assign just created policy profile to that instance
6. Start/Stop the instance
7. Check event_streams table for appropriate start/stop events for the instance
8. Check policy_events table for appropriate policy events

Actual results:
start/stop instance events showed up in event_stream table
appropriate control policy events are absent in policy_events table.
Timelines for that instance doesn't display any policy events accordingly


Expected results:
control policy events should appear

Comment 2 Greg McCullough 2017-02-02 16:50:01 UTC
Lucy - Can you verify the proper policy events are being raised for Azure on 5.6.4?

Comment 4 CFME Bot 2017-02-07 22:12:37 UTC
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/930d25f6c41fb43b8e723b8f617a44ae2cce7973

commit 930d25f6c41fb43b8e723b8f617a44ae2cce7973
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Feb 3 13:55:53 2017 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Feb 7 16:43:49 2017 -0500

    Connect VM power on/off policy events to Azure events.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1418755

 .../EmsEvent/Azure.class/virtualmachines_deallocate_endrequest.yaml     | 2 ++
 .../Event/EmsEvent/Azure.class/virtualmachines_start_endrequest.yaml    | 2 ++
 2 files changed, 4 insertions(+)

Comment 5 CFME Bot 2017-02-07 22:12:41 UTC
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/802aa4434e1eb53cfb3b4b9567868e0e1c6165ab

commit 802aa4434e1eb53cfb3b4b9567868e0e1c6165ab
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Fri Feb 3 13:56:58 2017 -0500
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Tue Feb 7 16:43:49 2017 -0500

    Add Azure event for instance suspend.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1418755

 .../Azure.class/virtualmachines_poweroff_endrequest.yaml   | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Azure.class/virtualmachines_poweroff_endrequest.yaml

Comment 8 Dmitry Misharov 2017-03-22 09:07:22 UTC
Verified in 5.8.0.7.20170321164727_1c97ccd. Events are registered from Azure and control machinery works properly.


Note You need to log in before you can comment on or make changes to this bug.